use crate::cli::Cli;

/// Application configuration.
pub struct Config {
    /// Update interval in seconds
    pub interval: u64,
}

impl From<Cli> for Config {
    fn from(value: Cli) -> Self {
        Self {
            interval: value.interval,
        }
    }
}
