use alert_me::{cli::Cli, logging};
use clap::Parser;

#[tokio::main]
async fn main() {
    if std::env::var_os("RUST_LOG").is_none() {
        std::env::set_var("RUST_LOG", "info");
    }

    logging::setup("alert-me");

    let args = Cli::parse();
    let config = args.into();

    alert_me::run(config).await
}
